searchData={"items":[{"type":"module","title":"Blake2","doc":"Blake2 is a modern cryptographic hash function that is fast, but at least\nas secure as the latest standard SHA-3.\n\nBlake2 comes in two flavors:\n\n  * Blake2b is optimized for 64-bit platforms\n    * produces digests of any size between 1 and 64 bytes\n  * Blake2s is optimized for 8- to 32-bit platforms\n    * produces digests of any size between 1 and 32 bytes\n\nThere are also the 4-way parallel Blask2bp and 8-way parallel Blake2sp\nversions.","ref":"Blake2.html"},{"type":"module","title":"Use - Blake2","doc":"Import the appropriate module for the platform you are using. Then\nrun the `hash/2` function to output the hash in bytes, or run the\n`hash_hex/2` function for hexadecimal output.","ref":"Blake2.html#module-use"},{"type":"module","title":"Options - Blake2","doc":"* keyed hashing\n  * salted hashing\n  * personalized hashing\n  * tree-hashing (updatable) - currently not supported.","ref":"Blake2.html#module-options"},{"type":"module","title":"b2sum - Blake2","doc":"Currently not supported.","ref":"Blake2.html#module-b2sum"},{"type":"module","title":"Blake2.Blake2b","doc":"Module to hash input using the Blake2b version of Blake2.\n\nBlake2b is optimized for 64-bit platforms and\nproduces digests of any size between 1 and 64 bytes.\n\nThe `hash` function produces a digest in binary form, as\nbytes. The `hash_hex` function outputs the digest in hexadecimal\nformat.\n\nThe `hash_nif` function calls the native code. It is unlikely that\nyou will need to call this function directly.","ref":"Blake2.Blake2b.html"},{"type":"function","title":"Blake2.Blake2b.hash/5","doc":"Main hash function - output in bytes.","ref":"Blake2.Blake2b.html#hash/5"},{"type":"function","title":"Blake2.Blake2b.hash_hex/5","doc":"Main hash function - output in hexadecimal format.","ref":"Blake2.Blake2b.html#hash_hex/5"},{"type":"function","title":"Blake2.Blake2b.hash_nif/5","doc":"","ref":"Blake2.Blake2b.html#hash_nif/5"},{"type":"function","title":"Blake2.Blake2b.init/0","doc":"","ref":"Blake2.Blake2b.html#init/0"},{"type":"module","title":"Blake2.Blake2bp","doc":"Module to hash input using the Blake2bp version of Blake2.\n\nBlake2bp is optimized for 64-bit platforms and\nproduces digests of any size between 1 and 64 bytes.\n\nThe `hash` function produces a digest in binary form, as\nbytes. The `hash_hex` function outputs the digest in hexadecimal\nformat.\n\nThe `hash_nif` function calls the native code. It is unlikely that\nyou will need to call this function directly.","ref":"Blake2.Blake2bp.html"},{"type":"function","title":"Blake2.Blake2bp.hash/5","doc":"Main hash function - output in bytes.","ref":"Blake2.Blake2bp.html#hash/5"},{"type":"function","title":"Blake2.Blake2bp.hash_hex/5","doc":"Main hash function - output in hexadecimal format.","ref":"Blake2.Blake2bp.html#hash_hex/5"},{"type":"function","title":"Blake2.Blake2bp.hash_nif/5","doc":"","ref":"Blake2.Blake2bp.html#hash_nif/5"},{"type":"function","title":"Blake2.Blake2bp.init/0","doc":"","ref":"Blake2.Blake2bp.html#init/0"},{"type":"module","title":"Blake2.Blake2s","doc":"Module to hash input using the Blake2s version of Blake2.\n\nBlake2s is optimized for 8- to 32-bit platforms and\nproduces digests of any size between 1 and 32 bytes.\n\nThe `hash` function produces a digest in binary form, as\nbytes. The `hash_hex` function outputs the digest in hexadecimal\nformat.\n\nThe `hash_nif` function calls the native code. It is unlikely that\nyou will need to call this function directly.","ref":"Blake2.Blake2s.html"},{"type":"function","title":"Blake2.Blake2s.hash/5","doc":"Main hash function - output in bytes.","ref":"Blake2.Blake2s.html#hash/5"},{"type":"function","title":"Blake2.Blake2s.hash_hex/5","doc":"Main hash function - output in hexadecimal format.","ref":"Blake2.Blake2s.html#hash_hex/5"},{"type":"function","title":"Blake2.Blake2s.hash_nif/5","doc":"","ref":"Blake2.Blake2s.html#hash_nif/5"},{"type":"function","title":"Blake2.Blake2s.init/0","doc":"","ref":"Blake2.Blake2s.html#init/0"},{"type":"module","title":"Blake2.Blake2sp","doc":"Module to hash input using the Blake2sp version of Blake2.\n\nBlake2sp is optimized for 8- to 32-bit platforms and\nproduces digests of any size between 1 and 32 bytes.\n\nThe `hash` function produces a digest in binary form, as\nbytes. The `hash_hex` function outputs the digest in hexadecimal\nformat.\n\nThe `hash_nif` function calls the native code. It is unlikely that\nyou will need to call this function directly.","ref":"Blake2.Blake2sp.html"},{"type":"function","title":"Blake2.Blake2sp.hash/5","doc":"Main hash function - output in bytes.","ref":"Blake2.Blake2sp.html#hash/5"},{"type":"function","title":"Blake2.Blake2sp.hash_hex/5","doc":"Main hash function - output in hexadecimal format.","ref":"Blake2.Blake2sp.html#hash_hex/5"},{"type":"function","title":"Blake2.Blake2sp.hash_nif/5","doc":"","ref":"Blake2.Blake2sp.html#hash_nif/5"},{"type":"function","title":"Blake2.Blake2sp.init/0","doc":"","ref":"Blake2.Blake2sp.html#init/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}